Index: binaries/data/mods/public/simulation/components/Auras.js
===================================================================
--- binaries/data/mods/public/simulation/components/Auras.js	(révision 18042)
+++ binaries/data/mods/public/simulation/components/Auras.js	(copie de travail)
@@ -84,15 +84,15 @@ Auras.prototype.GetAffectedPlayers = fun
 
 Auras.prototype.CalculateAffectedPlayers = function(name)
 {
 	var affectedPlayers = this.auras[name].affectedPlayers || ["Player"];
 	this.affectedPlayers[name] = [];
-
-	var cmpPlayer = QueryOwnerInterface(this.entity);
+	var cmpPlayer = Engine.QueryInterface(this.entity, IID_Player);
+	if (!cmpPlayer)
+		cmpPlayer = QueryOwnerInterface(this.entity);
 	if (!cmpPlayer)
 		return;
-
 	var numPlayers = Engine.QueryInterface(SYSTEM_ENTITY, IID_PlayerManager).GetNumPlayers();
 	for (var i = 0; i < numPlayers; ++i)
 	{
 		for (let p of affectedPlayers)
 		{
@@ -384,19 +384,19 @@ Auras.prototype.OnOwnershipChanged = fun
 	this.Clean();
 };
 
 Auras.prototype.OnDiplomacyChanged = function(msg)
 {
-	var cmpOwnership = Engine.QueryInterface(this.entity, IID_Ownership);
-	if (cmpOwnership && cmpOwnership.GetOwner() == msg.player)
+	var cmpPlayer = Engine.QueryInterface(this.entity, IID_Player);
+	if (cmpPlayer && cmpPlayer.GetPlayerID() == msg.player || IsOwnedByPlayer(msg.player, this.entity))
 		this.Clean();
 };
 
 Auras.prototype.OnGlobalResearchFinished = function(msg)
 {
-	let cmpOwnership = Engine.QueryInterface(this.entity, IID_Ownership);
-	if (!cmpOwnership || cmpOwnership.GetOwner() != msg.player)
+	var cmpPlayer = Engine.QueryInterface(this.entity, IID_Player);
+	if ((!cmpPlayer || cmpPlayer.GetPlayerID() != msg.player) && !IsOwnedByPlayer(msg.player, this.entity))
 		return;
 	let auraNames = this.GetAuraNames();
 	let needsClean = false;
 	for (let name of auraNames)
 	{
Index: binaries/data/mods/public/simulation/data/auras/iber_player_teambonus.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/iber_player_teambonus.json	(nonexistent)
+++ binaries/data/mods/public/simulation/data/auras/iber_player_teambonus.json	(copie de travail)
@@ -0,0 +1,13 @@
+{
+	"type": "global",
+	"affects": ["CitizenSoldier Javelin"],
+	"affectedPlayers": ["ExclusiveMutualAlly"],
+	"modifications": [
+		{ "value": "Cost/Resources/food", "multiply": 0.8 },
+		{ "value": "Cost/Resources/wood", "multiply": 0.8 },
+		{ "value": "Cost/Resources/metal", "multiply": 0.8 },
+		{ "value": "Cost/Resources/stone", "multiply": 0.8 }
+	],
+	"auraName": "Saripeko",
+	"auraDescription": "Reduces the cost for citizen-soldier skirmishers with 20% for allies of Iberian players"
+}
Index: binaries/data/mods/public/simulation/data/auras/sele_player_teambonus.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/sele_player_teambonus.json	(nonexistent)
+++ binaries/data/mods/public/simulation/data/auras/sele_player_teambonus.json	(copie de travail)
@@ -0,0 +1,13 @@
+{
+	"type": "global",
+	"affects": ["CivilCentre"],
+	"affectedPlayers": ["MutualAlly"],
+	"modifications": [
+		{ "value": "Cost/Resources/food", "multiply": 0.8 },
+		{ "value": "Cost/Resources/wood", "multiply": 0.8 },
+		{ "value": "Cost/Resources/metal", "multiply": 0.8 },
+		{ "value": "Cost/Resources/stone", "multiply": 0.8 }
+	],
+	"auraName": "Syryan Tetrapolis",
+	"auraDescription": "Reduces the cost for civil centers with 20% for allies of Seleucid players"
+}
Index: binaries/data/mods/public/simulation/templates/special/player_iber.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/special/player_iber.xml	(nonexistent)
+++ binaries/data/mods/public/simulation/templates/special/player_iber.xml	(copie de travail)
@@ -0,0 +1,4 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Entity parent="special/player">
+  <Auras datatype="tokens">iber_player_teambonus</Auras>
+</Entity>
Index: binaries/data/mods/public/simulation/templates/special/player_sele.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/special/player_sele.xml	(révision 18039)
+++ binaries/data/mods/public/simulation/templates/special/player_sele.xml	(copie de travail)
@@ -1,7 +1,8 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="special/player">
+  <Auras datatype="tokens">sele_player_teambonus</Auras>
   <EntityLimits>
     <LimitRemovers>
       <CivilCentre>
         <RequiredTechs datatype="tokens">phase_town</RequiredTechs>
         <RequiredClasses datatype="tokens">Hero</RequiredClasses>