Index: mods/public/simulation/data/technologies/armor_cav_chamfron.json
===================================================================
--- mods/public/simulation/data/technologies/armor_cav_chamfron.json	(revision 14937)
+++ mods/public/simulation/data/technologies/armor_cav_chamfron.json	(working copy)
@@ -12,7 +12,7 @@
 	},
 	"description": "Metal armor for a horse's face.",
 	"cost": {"food": 0, "wood": 0, "stone": 0, "metal": 200},
-	"requirements": {"tech": "phase_town"},
+	"requirements": {"any": [{"tech": "phase_town"},{"civ": "celt"},{"civ": "brit"},{"civ": "gaul"}]},
 	"requirementsTooltip": "Unlocked in Town Phase.",
 	"icon": "armor_plates_cavalry.png",
 	"researchTime": 40,
Index: mods/public/simulation/data/technologies/armor_infantry_hack_01.json
===================================================================
--- mods/public/simulation/data/technologies/armor_infantry_hack_01.json	(revision 14937)
+++ mods/public/simulation/data/technologies/armor_infantry_hack_01.json	(working copy)
@@ -18,7 +18,7 @@
 	},
 	"description": "Quilted linen or leather body armor for infantrymen.",
 	"cost": {"food": 0, "wood": 50, "stone": 0, "metal": 0},
-	"requirements": {"tech": "phase_town"},
+	"requirements": {"any": [{"tech": "phase_town"},{"civ": "celt"},{"civ": "brit"},{"civ": "gaul"}]},
 	"requirementsTooltip": "Unlocked in Town Phase.",
 	"icon": "armor_leather.png",
 	"researchTime": 40,
Index: mods/public/simulation/data/technologies/armor_infantryspearmen_pierce_01.json
===================================================================
--- mods/public/simulation/data/technologies/armor_infantryspearmen_pierce_01.json	(revision 14937)
+++ mods/public/simulation/data/technologies/armor_infantryspearmen_pierce_01.json	(working copy)
@@ -17,7 +17,7 @@
 	},
 	"description": "Plywood construction for large shields.",
 	"cost": {"food": 0, "wood": 50, "stone": 0, "metal": 0},
-	"requirements": {"tech": "phase_town"},
+	"requirements": {"any": [{"tech": "phase_town"},{"civ": "celt"},{"civ": "brit"},{"civ": "gaul"}]},
 	"requirementsTooltip": "Unlocked in Town Phase.",
 	"icon": "shields_generic_wood.png",
 	"researchTime": 40,
Index: mods/public/simulation/data/technologies/attack_cav_lance.json
===================================================================
--- mods/public/simulation/data/technologies/attack_cav_lance.json	(revision 14937)
+++ mods/public/simulation/data/technologies/attack_cav_lance.json	(working copy)
@@ -13,7 +13,7 @@
 	},
 	"description": "A long spear made specifically for cavalry.",
 	"cost": {"food": 0, "wood": 50, "stone": 0, "metal": 150},
-	"requirements": {"tech": "phase_town"},
+	"requirements": {"any": [{"tech": "phase_town"},{"civ": "celt"},{"civ": "brit"},{"civ": "gaul"}]},
 	"requirementsTooltip": "Unlocked in Town Phase.",
 	"icon": "spear_cavalry.png",
 	"researchTime": 40,
Index: mods/public/simulation/data/technologies/melee_inf_training.json
===================================================================
--- mods/public/simulation/data/technologies/melee_inf_training.json	(revision 14937)
+++ mods/public/simulation/data/technologies/melee_inf_training.json	(working copy)
@@ -10,7 +10,7 @@
 	},
 	"description": "Training increases damage of melee infantry units.",
 	"cost": {"food": 0, "wood": 0, "stone": 0, "metal": 50},
-	"requirements": {"tech": "phase_town"},
+	"requirements": {"any": [{"tech": "phase_town"},{"civ": "celt"},{"civ": "brit"},{"civ": "gaul"}]},
 	"requirementsTooltip": "Unlocked in Town Phase.",
 	"icon": "sword.png",
 	"researchTime": 40,
Index: mods/public/simulation/data/technologies/ranged_inf_irregulars.json
===================================================================
--- mods/public/simulation/data/technologies/ranged_inf_irregulars.json	(revision 14937)
+++ mods/public/simulation/data/technologies/ranged_inf_irregulars.json	(working copy)
@@ -10,7 +10,7 @@
 	},
 	"description": "Training increases damage of ranged infantry units.",
 	"cost": {"food": 0, "wood": 50, "stone": 0, "metal": 0},
-	"requirements": {"tech": "phase_town"},
+	"requirements": {"any": [{"tech": "phase_town"},{"civ": "celt"},{"civ": "brit"},{"civ": "gaul"}]},
 	"requirementsTooltip": "Unlocked in Town Phase.",
 	"icon": "arrow.png",
 	"researchTime": 40,