diff --git a/binaries/data/mods/public/civs/athen.json b/binaries/data/mods/public/civs/athen.json
index c6d80ba..6bda902 100644
--- a/binaries/data/mods/public/civs/athen.json
+++ b/binaries/data/mods/public/civs/athen.json
@@ -162,5 +162,10 @@
 		"Iphicrates",
 		"Demosthenes"
 	],
+	"SkirmishReplacements":
+	{
+		"default_infantry_ranged": "units/athen_infantry_slinger_b",
+		"default_house_10": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/brit.json b/binaries/data/mods/public/civs/brit.json
index 41fdaf1..738cb13 100644
--- a/binaries/data/mods/public/civs/brit.json
+++ b/binaries/data/mods/public/civs/brit.json
@@ -138,5 +138,11 @@
 		"Dubnovellaunus",
 		"Vosenius"
 	],
+	"SkirmishReplacements":
+	{
+		"default_infantry_ranged": "units/brit_infantry_slinger_b",
+		"special_starting_unit": "units/brit_war_dog_b",
+		"default_house_5": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/cart.json b/binaries/data/mods/public/civs/cart.json
index 59565ec..fb0afcc 100644
--- a/binaries/data/mods/public/civs/cart.json
+++ b/binaries/data/mods/public/civs/cart.json
@@ -165,5 +165,10 @@
 		"Himilco Phameas",
 		"Hasdrubal the Boetharch"
 	],
+	"SkirmishReplacements":
+	{
+		"default_infantry_ranged": "units/cart_infantry_archer_b",
+		"default_house_10": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/celt.json b/binaries/data/mods/public/civs/celt.json
index 91c6d12..d8aee2b 100644
--- a/binaries/data/mods/public/civs/celt.json
+++ b/binaries/data/mods/public/civs/celt.json
@@ -162,5 +162,10 @@
 		"formations/wedge",
 		"formations/battle_line"
 	],
+	"SkirmishReplacements":
+	{
+		"default_cavalry": "units/celt_cavalry_swordsman_b",
+		"default_house_5": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": false
 }
diff --git a/binaries/data/mods/public/civs/gaul.json b/binaries/data/mods/public/civs/gaul.json
index feee3c5..482d2c8 100644
--- a/binaries/data/mods/public/civs/gaul.json
+++ b/binaries/data/mods/public/civs/gaul.json
@@ -132,5 +132,9 @@
 		"Liscus",
 		"Valetiacos"
 	],
+	"SkirmishReplacements":
+	{
+		"default_house_5": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/hele.json b/binaries/data/mods/public/civs/hele.json
index 721fac8..b20c903 100644
--- a/binaries/data/mods/public/civs/hele.json
+++ b/binaries/data/mods/public/civs/hele.json
@@ -180,5 +180,10 @@
 		"formations/phalanx",
 		"formations/syntagma"
 	],
+	"SkirmishReplacements":
+	{
+		"default_cavalry": "units/hele_cavalry_swordsman_b",
+		"default_house_10": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": false
 }
diff --git a/binaries/data/mods/public/civs/iber.json b/binaries/data/mods/public/civs/iber.json
index 0a46a62..9d7ac76 100644
--- a/binaries/data/mods/public/civs/iber.json
+++ b/binaries/data/mods/public/civs/iber.json
@@ -130,5 +130,15 @@
 		"Minurus",
 		"Tautalus"
 	],
+	"SkirmishReplacements":
+	{
+		"default_infantry_melee": "units/iber_infantry_swordsman_b",
+		"default_house_5": "structures/{civ}_house",
+		"iber_wall_short": "iber_wall_short",
+		"iber_wall_medium": "iber_wall_medium",
+		"iber_wall_long": "iber_wall_long",
+		"iber_wall_gate": "iber_wall_gate",
+		"iber_wall_tower": "iber_wall_tower"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/mace.json b/binaries/data/mods/public/civs/mace.json
index b8bcc7c..18e5269 100644
--- a/binaries/data/mods/public/civs/mace.json
+++ b/binaries/data/mods/public/civs/mace.json
@@ -166,5 +166,9 @@
 		"Craterus",
 		"Meleager"
 	],
+	"SkirmishReplacements":
+	{
+		"default_house_10": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/maur.json b/binaries/data/mods/public/civs/maur.json
index 869ed07..620e469 100644
--- a/binaries/data/mods/public/civs/maur.json
+++ b/binaries/data/mods/public/civs/maur.json
@@ -147,5 +147,11 @@
 		"Satadhanvan Maurya",
 		"Brihadratha Maurya"
 	],
+	"SkirmishReplacements":
+	{
+		"default_infantry_ranged": "units/maur_infantry_archer_b",
+		"special_starting_unit": "units/maur_support_elephant",
+		"default_house_5": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/pers.json b/binaries/data/mods/public/civs/pers.json
index 7e0765c..df07c31 100644
--- a/binaries/data/mods/public/civs/pers.json
+++ b/binaries/data/mods/public/civs/pers.json
@@ -153,5 +153,10 @@
 		"Haxamanish",
 		"Xsayarsa II"
 	],
+	"SkirmishReplacements":
+	{
+		"default_infantry_ranged": "units/pers_infantry_archer_b",
+		"default_house_10" : "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/ptol.json b/binaries/data/mods/public/civs/ptol.json
index c5300aa..21c69fe 100644
--- a/binaries/data/mods/public/civs/ptol.json
+++ b/binaries/data/mods/public/civs/ptol.json
@@ -171,5 +171,11 @@
 		"Arsinoe IV",
 		"Arsinoe II"
 	],
+	"SkirmishReplacements":
+	{
+		"default_infantry_ranged": "units/ptol_infantry_archer_b",
+		"default_cavalry": "units/ptol_cavalry_archer_b",
+		"default_house_5": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/rome.json b/binaries/data/mods/public/civs/rome.json
index 62a3f07..3304ade 100644
--- a/binaries/data/mods/public/civs/rome.json
+++ b/binaries/data/mods/public/civs/rome.json
@@ -141,5 +141,11 @@
 		"Quintus Caecilius Metellus Pius",
 		"Marcus Licinius Crassus"
 	],
+	"SkirmishReplacements":
+	{
+		"default_cavalry" : "units/rome_cavalry_spearman_b",
+		"default_infantry_melee": "units/rome_infantry_swordsman_b",
+		"default_house_10" : "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/sele.json b/binaries/data/mods/public/civs/sele.json
index 7bccc59..e2d6a13 100644
--- a/binaries/data/mods/public/civs/sele.json
+++ b/binaries/data/mods/public/civs/sele.json
@@ -179,5 +179,11 @@
 		"Antiochus XIII Asiaticus",
 		"Philip II Philoromaeus"
 	],
+	"SkirmishReplacements":
+	{
+		"default_infantry_ranged" : "units/sele_infantry_spearman_2_b",
+		"default_cavalry" : "units/sele_cavalry_javelinist",
+		"default_house_10" : "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/spart.json b/binaries/data/mods/public/civs/spart.json
index 509ff53..c68591e 100644
--- a/binaries/data/mods/public/civs/spart.json
+++ b/binaries/data/mods/public/civs/spart.json
@@ -155,5 +155,14 @@
 		"Eucleidas",
 		"Agesipolis"
 	],
+	"SkirmishReplacements":
+	{
+		"default_house_10" : "structures/{civ}_house",
+		"default_wall_tower": "",
+		"default_wall_gate": "",
+		"default_wall_short": "",
+		"default_wall_medium": "",
+		"default_wall_long": ""
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/theb.json b/binaries/data/mods/public/civs/theb.json
index 0231148..777b69e 100644
--- a/binaries/data/mods/public/civs/theb.json
+++ b/binaries/data/mods/public/civs/theb.json
@@ -147,5 +147,8 @@
 		"Lycus",
 		"Labdacus"
 	],
+	"SkirmishReplacements":
+	{
+	},
 	"SelectableInGameSetup": false
 }
diff --git a/binaries/data/mods/public/simulation/components/SkirmishReplacer.js b/binaries/data/mods/public/simulation/components/SkirmishReplacer.js
index 2ab5cc0..2b50f4f 100644
--- a/binaries/data/mods/public/simulation/components/SkirmishReplacer.js
+++ b/binaries/data/mods/public/simulation/components/SkirmishReplacer.js
@@ -1,21 +1,33 @@
 function SkirmishReplacer() {}
 
 SkirmishReplacer.prototype.Schema = 
-	"<optional>" +
-		"<oneOrMore>" +
-			"<element a:help='Replacement template for the civ which this element is named after or general. If no element is defined for a civ the general element is used instead. If this element is empty the entity is just deleted. The general element gets used if no civ specific element is present and replaces {civ} with the civ code.'>" +
-				"<anyName/>" +
+		"<optional>" +
+			"<element name='id'>" +
+				"<text/>" +
+			"</element>" +
+		"</optional>" +
+		"<optional>" +
+			"<element name='general' a:help='The general element replaces {civ} with the civ code.'>" +
 				"<interleave>" +
 					"<text/>" +
 				"</interleave>" +
 			"</element>" +
-		"</oneOrMore>" +
-	"</optional>";
+		"</optional>";
 
 SkirmishReplacer.prototype.Init = function()
 {
 };
 
+//this function gets the replacement entities from the {civ}.json file
+function getReplacementEntities(civ)
+{	
+	var rawCivData = Engine.ReadCivJSONFile(civ+".json");
+	if (!(rawCivData && rawCivData.SkirmishReplacements))
+		throw("SkirmishReplacer.js: Error reading '"+civ+".json'");
+	
+	return rawCivData.SkirmishReplacements;
+}
+
 SkirmishReplacer.prototype.OnOwnershipChanged = function(msg)
 {
 	if (msg.to == 0)
@@ -26,12 +38,13 @@ SkirmishReplacer.prototype.ReplaceEntities = function()
 {
 	var cmpPlayer = QueryOwnerInterface(this.entity, IID_Player);
 	var civ = cmpPlayer.GetCiv();
-
+	
+	var replacementEntities = getReplacementEntities(civ);
 	var templateName = "";
-	if (civ in this.template)
-		templateName = this.template[civ];
+	if("id" in this.template && this.template.id in replacementEntities)
+				templateName = replacementEntities[this.template.id];
 	else if ("general" in this.template)
-		templateName = this.template.general;
+			templateName = this.template.general;
 
 	if (!templateName || civ == "gaia")
 	{
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_civil_centre.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_civil_centre.xml
index a37746a..3436b12 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_civil_centre.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_civil_centre.xml
@@ -5,6 +5,7 @@
   </Identity>
   <ProductionQueue disable=""/>
   <SkirmishReplacer>
+  	<id>default_civil_centre</id>
     <general>structures/{civ}_civil_centre</general>
   </SkirmishReplacer>
   <VisualActor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_10.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_10.xml
index 9a7859a..ec6e316 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_10.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_10.xml
@@ -6,13 +6,7 @@
   </Identity>
   <ProductionQueue disable=""/>
   <SkirmishReplacer>
-    <athen>structures/{civ}_house</athen>
-    <cart>structures/{civ}_house</cart>
-    <hele>structures/{civ}_house</hele>
-    <mace>structures/{civ}_house</mace>
-    <pers>structures/{civ}_house</pers>
-    <rome>structures/{civ}_house</rome>
-    <spart>structures/{civ}_house</spart>
+  	<id>default_house_10</id>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/athenians/house.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_5.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_5.xml
index 0e3ab27..d087d52 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_5.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_5.xml
@@ -10,12 +10,7 @@
   </Footprint>
   <ProductionQueue disable=""/>
   <SkirmishReplacer>
-    <brit>structures/{civ}_house</brit>
-    <celt>structures/{civ}_house</celt>
-    <gaul>structures/{civ}_house</gaul>
-    <iber>structures/{civ}_house</iber>
-    <maur>structures/{civ}_house</maur>
-    <ptol>structures/{civ}_house</ptol>
+  	<id>default_house_5</id>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/ptolemies/house.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_gate.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_gate.xml
index 03b31ed..29ad520 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_gate.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_gate.xml
@@ -15,8 +15,8 @@
     </Obstructions>
   </Obstruction>
   <SkirmishReplacer>
+    <id>default_wall_gate</id>
     <general>structures/{civ}_wall_gate</general>
-    <spart/>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/hellenes/wall_gate.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_long.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_long.xml
index 3010a88..00ffd9b 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_long.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_long.xml
@@ -11,8 +11,8 @@
     <Static width="36.0" depth="8"/>
   </Obstruction>
   <SkirmishReplacer>
+    <id>default_wall_long</id>
     <general>structures/{civ}_wall_long</general>
-    <spart/>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/hellenes/wall_long.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_medium.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_medium.xml
index 260ab0d..9a02f3b 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_medium.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_medium.xml
@@ -11,8 +11,8 @@
     <Static width="24.0" depth="8"/>
   </Obstruction>
   <SkirmishReplacer>
+    <id>default_wall_medium</id>
     <general>structures/{civ}_wall_medium</general>
-    <spart/>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/hellenes/wall_medium.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_short.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_short.xml
index 828120b..88cddfb 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_short.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_short.xml
@@ -11,8 +11,8 @@
     <Static width="12.0" depth="8"/>
   </Obstruction>
   <SkirmishReplacer>
+    <id>default_wall_short</id>
     <general>structures/{civ}_wall_short</general>
-    <spart/>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/hellenes/wall_short.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_tower.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_tower.xml
index caf4049..62ce20b 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_tower.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_tower.xml
@@ -11,8 +11,8 @@
     <Static width="10" depth="10"/>
   </Obstruction>
   <SkirmishReplacer>
+    <id>default_wall_tower</id>
     <general>structures/{civ}_wall_tower</general>
-    <spart/>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/hellenes/wall_tower.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_gate.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_gate.xml
index 6465999..68b6da8 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_gate.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_gate.xml
@@ -15,7 +15,7 @@
     </Obstructions>
   </Obstruction>
   <SkirmishReplacer>
-    <iber>structures/iber_wall_gate</iber>
+    <id>iber_wall_gate</id>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/iberians/wall_gate.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_long.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_long.xml
index 9742726..e763a0c 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_long.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_long.xml
@@ -11,7 +11,7 @@
     <Static width="36.0" depth="8"/>
   </Obstruction>
   <SkirmishReplacer>
-    <iber>structures/iber_wall_long</iber>
+    <id>iber_wall_long</id>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/iberians/wall_long.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_medium.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_medium.xml
index 633b235..a5d6650 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_medium.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_medium.xml
@@ -11,7 +11,7 @@
     <Static width="24.0" depth="8"/>
   </Obstruction>
   <SkirmishReplacer>
-    <iber>structures/iber_wall_medium</iber>
+    <id>iber_wall_medium</id>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/iberians/wall_medium.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_short.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_short.xml
index f35cb8e..d7fbc49 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_short.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_short.xml
@@ -11,7 +11,7 @@
     <Static width="12.0" depth="8"/>
   </Obstruction>
   <SkirmishReplacer>
-    <iber>structures/iber_wall_short</iber>
+    <id>iber_wall_short</id>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/iberians/wall_short.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_tower.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_tower.xml
index 092fbc0..1b8b34d 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_tower.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_tower.xml
@@ -11,7 +11,7 @@
     <Static width="10" depth="10"/>
   </Obstruction>
   <SkirmishReplacer>
-    <iber>structures/iber_wall_tower</iber>
+    <id>iber_wall_tower</id>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/iberians/wall_tower.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/default_cavalry.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/default_cavalry.xml
index 5fb664b..66e87dc 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/default_cavalry.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/default_cavalry.xml
@@ -5,12 +5,8 @@
   </Identity>
   <Promotion disable=""/>
   <SkirmishReplacer>
+    <id>default_cavalry</id>
     <general>units/{civ}_cavalry_javelinist_b</general>
-    <celt>units/celt_cavalry_swordsman_b</celt>
-    <hele>units/hele_cavalry_swordsman_b</hele>
-    <ptol>units/ptol_cavalry_archer_b</ptol>
-    <rome>units/rome_cavalry_spearman_b</rome>
-    <sele>units/sele_cavalry_javelinist</sele>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>units/athenians/cavalry_javelinist_b.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_melee_b.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_melee_b.xml
index d81c770..fd55809 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_melee_b.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_melee_b.xml
@@ -5,10 +5,8 @@
   </Identity>
   <Promotion disable=""/>
   <SkirmishReplacer>
+    <id>default_infantry_melee</id>
     <general>units/{civ}_infantry_spearman_b</general>
-    <iber>units/iber_infantry_swordsman_b</iber>
-    <rome>units/rome_infantry_swordsman_b</rome>
-    <sele>units/sele_infantry_spearman_2_b</sele>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>units/athenians/infantry_spearman_b.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_ranged_b.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_ranged_b.xml
index 2c9632e..8c8901a 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_ranged_b.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_ranged_b.xml
@@ -5,14 +5,8 @@
   </Identity>
   <Promotion disable=""/>
   <SkirmishReplacer>
+    <id>default_infantry_ranged</id>
     <general>units/{civ}_infantry_javelinist_b</general>
-    <athen>units/athen_infantry_slinger_b</athen>
-    <brit>units/brit_infantry_slinger_b</brit>
-    <cart>units/cart_infantry_archer_b</cart>
-    <maur>units/maur_infantry_archer_b</maur>
-    <pers>units/pers_infantry_archer_b</pers>
-    <ptol>units/ptol_infantry_archer_b</ptol>
-    <sele>units/sele_infantry_spearman_2_b</sele>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>units/athenians/infantry_slinger_b.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/default_support_female_citizen.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/default_support_female_citizen.xml
index 060b0d2..6c1a5ba 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/default_support_female_citizen.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/default_support_female_citizen.xml
@@ -4,7 +4,8 @@
     <Civ>skirm</Civ>
   </Identity>
   <SkirmishReplacer>
-   <general>units/{civ}_support_female_citizen</general>
+  	<id>default_support_female_citizen</id>
+    <general>units/{civ}_support_female_citizen</general>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>units/athenians/female_citizen.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/special_starting_unit.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/special_starting_unit.xml
index 0b55e88..603f539 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/special_starting_unit.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/special_starting_unit.xml
@@ -12,8 +12,7 @@
   </Obstruction>
   <Promotion disable=""/>
   <SkirmishReplacer>
-    <brit>units/brit_war_dog_b</brit>
-    <maur>units/maur_support_elephant</maur>
+    <id>special_starting_unit</id>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>units/mauryans/support_elephant.xml</Actor>