diff --git a/binaries/data/mods/public/civs/athen.json b/binaries/data/mods/public/civs/athen.json
index c6d80ba..2697011 100644
--- a/binaries/data/mods/public/civs/athen.json
+++ b/binaries/data/mods/public/civs/athen.json
@@ -162,5 +162,10 @@
 		"Iphicrates",
 		"Demosthenes"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/units/default_infantry_ranged_b": "units/athen_infantry_slinger_b",
+		"skirmish/structures/default_house_10": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/brit.json b/binaries/data/mods/public/civs/brit.json
index 41fdaf1..270b694 100644
--- a/binaries/data/mods/public/civs/brit.json
+++ b/binaries/data/mods/public/civs/brit.json
@@ -138,5 +138,11 @@
 		"Dubnovellaunus",
 		"Vosenius"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/units/default_infantry_ranged_b": "units/brit_infantry_slinger_b",
+		"skirmish/units/special_starting_unit": "units/brit_war_dog_b",
+		"skirmish/structures/default_house_5": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/cart.json b/binaries/data/mods/public/civs/cart.json
index 59565ec..243240c 100644
--- a/binaries/data/mods/public/civs/cart.json
+++ b/binaries/data/mods/public/civs/cart.json
@@ -165,5 +165,10 @@
 		"Himilco Phameas",
 		"Hasdrubal the Boetharch"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/units/default_infantry_ranged_b": "units/cart_infantry_archer_b",
+		"skirmish/structures/default_house_10": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/celt.json b/binaries/data/mods/public/civs/celt.json
index 91c6d12..45795aa 100644
--- a/binaries/data/mods/public/civs/celt.json
+++ b/binaries/data/mods/public/civs/celt.json
@@ -162,5 +162,10 @@
 		"formations/wedge",
 		"formations/battle_line"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/units/default_cavalry": "units/celt_cavalry_swordsman_b",
+		"skirmish/structures/default_house_5": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": false
 }
diff --git a/binaries/data/mods/public/civs/gaul.json b/binaries/data/mods/public/civs/gaul.json
index feee3c5..9c80441 100644
--- a/binaries/data/mods/public/civs/gaul.json
+++ b/binaries/data/mods/public/civs/gaul.json
@@ -132,5 +132,9 @@
 		"Liscus",
 		"Valetiacos"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/structures/default_house_5": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/hele.json b/binaries/data/mods/public/civs/hele.json
index 721fac8..1bf748c 100644
--- a/binaries/data/mods/public/civs/hele.json
+++ b/binaries/data/mods/public/civs/hele.json
@@ -180,5 +180,10 @@
 		"formations/phalanx",
 		"formations/syntagma"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/units/default_cavalry": "units/hele_cavalry_swordsman_b",
+		"skirmish/structures/default_house_10": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": false
 }
diff --git a/binaries/data/mods/public/civs/iber.json b/binaries/data/mods/public/civs/iber.json
index 0a46a62..679b698 100644
--- a/binaries/data/mods/public/civs/iber.json
+++ b/binaries/data/mods/public/civs/iber.json
@@ -130,5 +130,15 @@
 		"Minurus",
 		"Tautalus"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/units/default_infantry_melee_b": "units/iber_infantry_swordsman_b",
+		"skirmish/structures/default_house_5": "structures/{civ}_house",
+		"skirmish/structure/iber_wall_short": "structures/iber_wall_short",
+		"skirmish/structure/iber_wall_medium": "structures/iber_wall_medium",
+		"skirmish/structure/iber_wall_long": "structures/iber_wall_long",
+		"skirmish/structure/iber_wall_gate": "structures/iber_wall_gate",
+		"skirmish/structure/iber_wall_tower": "structures/iber_wall_tower"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/mace.json b/binaries/data/mods/public/civs/mace.json
index b8bcc7c..23cbebe 100644
--- a/binaries/data/mods/public/civs/mace.json
+++ b/binaries/data/mods/public/civs/mace.json
@@ -166,5 +166,9 @@
 		"Craterus",
 		"Meleager"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/structures/default_house_10": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/maur.json b/binaries/data/mods/public/civs/maur.json
index 869ed07..e972378 100644
--- a/binaries/data/mods/public/civs/maur.json
+++ b/binaries/data/mods/public/civs/maur.json
@@ -147,5 +147,11 @@
 		"Satadhanvan Maurya",
 		"Brihadratha Maurya"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/units/default_infantry_ranged_b": "units/maur_infantry_archer_b",
+		"skirmish/units/special_starting_unit": "units/maur_support_elephant",
+		"skirmish/structures/default_house_5": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/pers.json b/binaries/data/mods/public/civs/pers.json
index 7e0765c..399e3b1 100644
--- a/binaries/data/mods/public/civs/pers.json
+++ b/binaries/data/mods/public/civs/pers.json
@@ -153,5 +153,10 @@
 		"Haxamanish",
 		"Xsayarsa II"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/units/default_infantry_ranged_b": "units/pers_infantry_archer_b",
+		"skirmish/structures/default_house_10" : "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/ptol.json b/binaries/data/mods/public/civs/ptol.json
index c5300aa..e7c1222 100644
--- a/binaries/data/mods/public/civs/ptol.json
+++ b/binaries/data/mods/public/civs/ptol.json
@@ -171,5 +171,11 @@
 		"Arsinoe IV",
 		"Arsinoe II"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/units/default_infantry_ranged_b": "units/ptol_infantry_archer_b",
+		"skirmish/units/default_cavalry": "units/ptol_cavalry_archer_b",
+		"skirmish/structures/default_house_5": "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/rome.json b/binaries/data/mods/public/civs/rome.json
index 62a3f07..4314943 100644
--- a/binaries/data/mods/public/civs/rome.json
+++ b/binaries/data/mods/public/civs/rome.json
@@ -141,5 +141,11 @@
 		"Quintus Caecilius Metellus Pius",
 		"Marcus Licinius Crassus"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/units/default_cavalry" : "units/rome_cavalry_spearman_b",
+		"skirmish/units/default_infantry_melee_b": "units/rome_infantry_swordsman_b",
+		"skirmish/structures/default_house_10" : "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/sele.json b/binaries/data/mods/public/civs/sele.json
index 7bccc59..6677b47 100644
--- a/binaries/data/mods/public/civs/sele.json
+++ b/binaries/data/mods/public/civs/sele.json
@@ -179,5 +179,11 @@
 		"Antiochus XIII Asiaticus",
 		"Philip II Philoromaeus"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/units/default_infantry_ranged_b" : "units/sele_infantry_spearman_2_b",
+		"skirmish/units/default_cavalry" : "units/sele_cavalry_javelinist",
+		"skirmish/structures/default_house_10" : "structures/{civ}_house"
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/spart.json b/binaries/data/mods/public/civs/spart.json
index 509ff53..bae7b5b 100644
--- a/binaries/data/mods/public/civs/spart.json
+++ b/binaries/data/mods/public/civs/spart.json
@@ -155,5 +155,14 @@
 		"Eucleidas",
 		"Agesipolis"
 	],
+	"SkirmishReplacements":
+	{
+		"skirmish/structures/default_house_10" : "structures/{civ}_house",
+		"skirmish/structure/default_wall_tower": "",
+		"skirmish/structure/default_wall_gate": "",
+		"skirmish/structure/default_wall_short": "",
+		"skirmish/structure/default_wall_medium": "",
+		"skirmish/structure/default_wall_long": ""
+	},
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/theb.json b/binaries/data/mods/public/civs/theb.json
index 0231148..777b69e 100644
--- a/binaries/data/mods/public/civs/theb.json
+++ b/binaries/data/mods/public/civs/theb.json
@@ -147,5 +147,8 @@
 		"Lycus",
 		"Labdacus"
 	],
+	"SkirmishReplacements":
+	{
+	},
 	"SelectableInGameSetup": false
 }
diff --git a/binaries/data/mods/public/simulation/components/SkirmishReplacer.js b/binaries/data/mods/public/simulation/components/SkirmishReplacer.js
index 2ab5cc0..19ae9a1 100644
--- a/binaries/data/mods/public/simulation/components/SkirmishReplacer.js
+++ b/binaries/data/mods/public/simulation/components/SkirmishReplacer.js
@@ -1,21 +1,35 @@
 function SkirmishReplacer() {}
 
 SkirmishReplacer.prototype.Schema = 
-	"<optional>" +
-		"<oneOrMore>" +
-			"<element a:help='Replacement template for the civ which this element is named after or general. If no element is defined for a civ the general element is used instead. If this element is empty the entity is just deleted. The general element gets used if no civ specific element is present and replaces {civ} with the civ code.'>" +
-				"<anyName/>" +
+		"<optional>" +
+			"<element name='id' a:help='The general element replaces {civ} with the civ code.'>" +
 				"<interleave>" +
 					"<text/>" +
 				"</interleave>" +
 			"</element>" +
-		"</oneOrMore>" +
-	"</optional>";
+		"</optional>" +
+		"<optional>" +
+			"<element name='general' a:help='The general element replaces {civ} with the civ code.'>" +
+				"<interleave>" +
+					"<text/>" +
+				"</interleave>" +
+			"</element>" +
+		"</optional>";
 
 SkirmishReplacer.prototype.Init = function()
 {
 };
 
+//this function gets the replacement entities from the {civ}.json file
+function getReplacementEntities(civ)
+{	
+	var rawCivData = Engine.ReadCivJSONFile(civ+".json");
+	if (!(rawCivData && rawCivData.SkirmishReplacements))
+		throw("SkirmishReplacer.js: Error reading '"+civ+".json'");
+	
+	return rawCivData.SkirmishReplacements;
+}
+
 SkirmishReplacer.prototype.OnOwnershipChanged = function(msg)
 {
 	if (msg.to == 0)
@@ -26,12 +40,17 @@ SkirmishReplacer.prototype.ReplaceEntities = function()
 {
 	var cmpPlayer = QueryOwnerInterface(this.entity, IID_Player);
 	var civ = cmpPlayer.GetCiv();
-
-	var templateName = "";
-	if (civ in this.template)
-		templateName = this.template[civ];
-	else if ("general" in this.template)
+	var replacementEntities = getReplacementEntities(civ);
+	
+	var cmpTemplateManager = Engine.QueryInterface(SYSTEM_ENTITY, IID_TemplateManager);
+	var templateName = cmpTemplateManager.GetCurrentTemplateName(this.entity);
+	
+	if(templateName in replacementEntities)
+		templateName = replacementEntities[templateName];
+	else if (this.template && "general" in this.template)
 		templateName = this.template.general;
+	else
+		templateName = "";
 
 	if (!templateName || civ == "gaia")
 	{
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_10.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_10.xml
index 9a7859a..40197d8 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_10.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_10.xml
@@ -5,15 +5,7 @@
     <Tooltip>Changes in a 10-pop house for civilisations with those houses, is deleted for other civs</Tooltip>
   </Identity>
   <ProductionQueue disable=""/>
-  <SkirmishReplacer>
-    <athen>structures/{civ}_house</athen>
-    <cart>structures/{civ}_house</cart>
-    <hele>structures/{civ}_house</hele>
-    <mace>structures/{civ}_house</mace>
-    <pers>structures/{civ}_house</pers>
-    <rome>structures/{civ}_house</rome>
-    <spart>structures/{civ}_house</spart>
-  </SkirmishReplacer>
+  <SkirmishReplacer/>
   <VisualActor>
     <Actor>structures/athenians/house.xml</Actor>
   </VisualActor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_5.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_5.xml
index 0e3ab27..11f896e 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_5.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_5.xml
@@ -9,14 +9,7 @@
     <Height>5.0</Height>
   </Footprint>
   <ProductionQueue disable=""/>
-  <SkirmishReplacer>
-    <brit>structures/{civ}_house</brit>
-    <celt>structures/{civ}_house</celt>
-    <gaul>structures/{civ}_house</gaul>
-    <iber>structures/{civ}_house</iber>
-    <maur>structures/{civ}_house</maur>
-    <ptol>structures/{civ}_house</ptol>
-  </SkirmishReplacer>
+  <SkirmishReplacer/>
   <VisualActor>
     <Actor>structures/ptolemies/house.xml</Actor>
   </VisualActor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_gate.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_gate.xml
index 03b31ed..ec506d0 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_gate.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_gate.xml
@@ -16,7 +16,6 @@
   </Obstruction>
   <SkirmishReplacer>
     <general>structures/{civ}_wall_gate</general>
-    <spart/>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/hellenes/wall_gate.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_long.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_long.xml
index 3010a88..c73d935 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_long.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_long.xml
@@ -12,7 +12,6 @@
   </Obstruction>
   <SkirmishReplacer>
     <general>structures/{civ}_wall_long</general>
-    <spart/>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/hellenes/wall_long.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_medium.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_medium.xml
index 260ab0d..505cf45 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_medium.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_medium.xml
@@ -12,7 +12,6 @@
   </Obstruction>
   <SkirmishReplacer>
     <general>structures/{civ}_wall_medium</general>
-    <spart/>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/hellenes/wall_medium.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_short.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_short.xml
index 828120b..dcc2795 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_short.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_short.xml
@@ -12,7 +12,6 @@
   </Obstruction>
   <SkirmishReplacer>
     <general>structures/{civ}_wall_short</general>
-    <spart/>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/hellenes/wall_short.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_tower.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_tower.xml
index caf4049..4d4de05 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_tower.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_wall_tower.xml
@@ -12,7 +12,6 @@
   </Obstruction>
   <SkirmishReplacer>
     <general>structures/{civ}_wall_tower</general>
-    <spart/>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>structures/hellenes/wall_tower.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_gate.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_gate.xml
index 6465999..9bd05e8 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_gate.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_gate.xml
@@ -14,9 +14,7 @@
       <Door width="16.0" depth="8.5" x="0" z="0"/>
     </Obstructions>
   </Obstruction>
-  <SkirmishReplacer>
-    <iber>structures/iber_wall_gate</iber>
-  </SkirmishReplacer>
+  <SkirmishReplacer/>
   <VisualActor>
     <Actor>structures/iberians/wall_gate.xml</Actor>
   </VisualActor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_long.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_long.xml
index 9742726..f9f2bc5 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_long.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_long.xml
@@ -10,9 +10,7 @@
   <Obstruction>
     <Static width="36.0" depth="8"/>
   </Obstruction>
-  <SkirmishReplacer>
-    <iber>structures/iber_wall_long</iber>
-  </SkirmishReplacer>
+  <SkirmishReplacer/>
   <VisualActor>
     <Actor>structures/iberians/wall_long.xml</Actor>
   </VisualActor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_medium.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_medium.xml
index 633b235..a26940b 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_medium.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_medium.xml
@@ -10,9 +10,7 @@
   <Obstruction>
     <Static width="24.0" depth="8"/>
   </Obstruction>
-  <SkirmishReplacer>
-    <iber>structures/iber_wall_medium</iber>
-  </SkirmishReplacer>
+  <SkirmishReplacer/>
   <VisualActor>
     <Actor>structures/iberians/wall_medium.xml</Actor>
   </VisualActor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_short.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_short.xml
index f35cb8e..b6a0d66 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_short.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_short.xml
@@ -10,9 +10,7 @@
   <Obstruction>
     <Static width="12.0" depth="8"/>
   </Obstruction>
-  <SkirmishReplacer>
-    <iber>structures/iber_wall_short</iber>
-  </SkirmishReplacer>
+  <SkirmishReplacer/>
   <VisualActor>
     <Actor>structures/iberians/wall_short.xml</Actor>
   </VisualActor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_tower.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_tower.xml
index 092fbc0..7a09377 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_tower.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/iber_wall_tower.xml
@@ -10,9 +10,7 @@
   <Obstruction>
     <Static width="10" depth="10"/>
   </Obstruction>
-  <SkirmishReplacer>
-    <iber>structures/iber_wall_tower</iber>
-  </SkirmishReplacer>
+  <SkirmishReplacer/>
   <VisualActor>
     <Actor>structures/iberians/wall_tower.xml</Actor>
   </VisualActor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/default_cavalry.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/default_cavalry.xml
index 5fb664b..05e3873 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/default_cavalry.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/default_cavalry.xml
@@ -6,11 +6,6 @@
   <Promotion disable=""/>
   <SkirmishReplacer>
     <general>units/{civ}_cavalry_javelinist_b</general>
-    <celt>units/celt_cavalry_swordsman_b</celt>
-    <hele>units/hele_cavalry_swordsman_b</hele>
-    <ptol>units/ptol_cavalry_archer_b</ptol>
-    <rome>units/rome_cavalry_spearman_b</rome>
-    <sele>units/sele_cavalry_javelinist</sele>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>units/athenians/cavalry_javelinist_b.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_melee_b.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_melee_b.xml
index d81c770..608a0c2 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_melee_b.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_melee_b.xml
@@ -6,9 +6,6 @@
   <Promotion disable=""/>
   <SkirmishReplacer>
     <general>units/{civ}_infantry_spearman_b</general>
-    <iber>units/iber_infantry_swordsman_b</iber>
-    <rome>units/rome_infantry_swordsman_b</rome>
-    <sele>units/sele_infantry_spearman_2_b</sele>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>units/athenians/infantry_spearman_b.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_ranged_b.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_ranged_b.xml
index 2c9632e..ea84f69 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_ranged_b.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_ranged_b.xml
@@ -6,13 +6,6 @@
   <Promotion disable=""/>
   <SkirmishReplacer>
     <general>units/{civ}_infantry_javelinist_b</general>
-    <athen>units/athen_infantry_slinger_b</athen>
-    <brit>units/brit_infantry_slinger_b</brit>
-    <cart>units/cart_infantry_archer_b</cart>
-    <maur>units/maur_infantry_archer_b</maur>
-    <pers>units/pers_infantry_archer_b</pers>
-    <ptol>units/ptol_infantry_archer_b</ptol>
-    <sele>units/sele_infantry_spearman_2_b</sele>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>units/athenians/infantry_slinger_b.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/default_support_female_citizen.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/default_support_female_citizen.xml
index 060b0d2..11dc4c3 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/default_support_female_citizen.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/default_support_female_citizen.xml
@@ -4,7 +4,7 @@
     <Civ>skirm</Civ>
   </Identity>
   <SkirmishReplacer>
-   <general>units/{civ}_support_female_citizen</general>
+    <general>units/{civ}_support_female_citizen</general>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>units/athenians/female_citizen.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/special_starting_unit.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/special_starting_unit.xml
index 0b55e88..c046850 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/special_starting_unit.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/special_starting_unit.xml
@@ -11,10 +11,7 @@
     <Unit radius="3.0"/>
   </Obstruction>
   <Promotion disable=""/>
-  <SkirmishReplacer>
-    <brit>units/brit_war_dog_b</brit>
-    <maur>units/maur_support_elephant</maur>
-  </SkirmishReplacer>
+  <SkirmishReplacer/>
   <VisualActor>
     <Actor>units/mauryans/support_elephant.xml</Actor>
   </VisualActor>