diff --git a/binaries/data/mods/public/civs/athen.json b/binaries/data/mods/public/civs/athen.json
index c6d80ba..d0c071a 100644
--- a/binaries/data/mods/public/civs/athen.json
+++ b/binaries/data/mods/public/civs/athen.json
@@ -162,5 +162,12 @@
 		"Iphicrates",
 		"Demosthenes"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_infantry_ranged",
+			"Template": "units/athen_infantry_slinger_b"
+		}
+	],
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/brit.json b/binaries/data/mods/public/civs/brit.json
index 41fdaf1..0fee61d 100644
--- a/binaries/data/mods/public/civs/brit.json
+++ b/binaries/data/mods/public/civs/brit.json
@@ -138,5 +138,20 @@
 		"Dubnovellaunus",
 		"Vosenius"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_infantry_ranged",
+			"Template": "units/brit_infantry_slinger_b"
+		},
+		{
+			"Identity": "special_starting_unit",
+			"Template": "units/brit_war_dog_b"
+		},
+		{
+			"Identity": "default_house_5",
+			"Template": "structures/{civ}_house"
+		}
+	],
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/cart.json b/binaries/data/mods/public/civs/cart.json
index 59565ec..ed7fa95 100644
--- a/binaries/data/mods/public/civs/cart.json
+++ b/binaries/data/mods/public/civs/cart.json
@@ -165,5 +165,16 @@
 		"Himilco Phameas",
 		"Hasdrubal the Boetharch"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_infantry_ranged",
+			"Template": "units/cart_infantry_archer_b"
+		},
+		{
+			"Identity": "default_house_10",
+			"Template": "structures/{civ}_house"
+		}
+	],
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/celt.json b/binaries/data/mods/public/civs/celt.json
index 91c6d12..4f5507e 100644
--- a/binaries/data/mods/public/civs/celt.json
+++ b/binaries/data/mods/public/civs/celt.json
@@ -162,5 +162,16 @@
 		"formations/wedge",
 		"formations/battle_line"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_cavalry",
+			"Template": "units/celt_cavalry_swordsman_b"
+		},
+		{
+			"Identity": "default_house_5",
+			"Template": "structures/{civ}_house"
+		}
+	],
 	"SelectableInGameSetup": false
 }
diff --git a/binaries/data/mods/public/civs/gaul.json b/binaries/data/mods/public/civs/gaul.json
index feee3c5..a75ff18 100644
--- a/binaries/data/mods/public/civs/gaul.json
+++ b/binaries/data/mods/public/civs/gaul.json
@@ -132,5 +132,12 @@
 		"Liscus",
 		"Valetiacos"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_house_5",
+			"Template": "structures/{civ}_house"
+		}
+	],
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/hele.json b/binaries/data/mods/public/civs/hele.json
index 721fac8..7f5a4b5 100644
--- a/binaries/data/mods/public/civs/hele.json
+++ b/binaries/data/mods/public/civs/hele.json
@@ -180,5 +180,16 @@
 		"formations/phalanx",
 		"formations/syntagma"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_cavalry",
+			"Template": "units/hele_cavalry_swordsman_b"
+		},
+		{
+			"Identity": "default_house_10",
+			"Template": "structures/{civ}_house"
+		}
+	],
 	"SelectableInGameSetup": false
 }
diff --git a/binaries/data/mods/public/civs/iber.json b/binaries/data/mods/public/civs/iber.json
index 0a46a62..ce90650 100644
--- a/binaries/data/mods/public/civs/iber.json
+++ b/binaries/data/mods/public/civs/iber.json
@@ -130,5 +130,16 @@
 		"Minurus",
 		"Tautalus"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_infantry_melee",
+			"Template": "units/iber_infantry_swordsman_b"
+		},
+		{
+			"Identity": "default_house_5",
+			"Template": "structures/{civ}_house"
+		}
+	],
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/mace.json b/binaries/data/mods/public/civs/mace.json
index b8bcc7c..890b0df 100644
--- a/binaries/data/mods/public/civs/mace.json
+++ b/binaries/data/mods/public/civs/mace.json
@@ -166,5 +166,12 @@
 		"Craterus",
 		"Meleager"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_house_10",
+			"Template": "structures/{civ}_house"
+		}
+	],
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/maur.json b/binaries/data/mods/public/civs/maur.json
index 869ed07..3fe35f2 100644
--- a/binaries/data/mods/public/civs/maur.json
+++ b/binaries/data/mods/public/civs/maur.json
@@ -147,5 +147,20 @@
 		"Satadhanvan Maurya",
 		"Brihadratha Maurya"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_infantry_ranged",
+			"Template": "units/maur_infantry_archer_b"
+		},
+		{
+			"Identity": "special_starting_unit",
+			"Template": "units/maur_support_elephant"
+		},
+		{
+			"Identity": "default_house_5",
+			"Template": "structures/{civ}_house"
+		}
+	],
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/pers.json b/binaries/data/mods/public/civs/pers.json
index 7e0765c..c4b704f 100644
--- a/binaries/data/mods/public/civs/pers.json
+++ b/binaries/data/mods/public/civs/pers.json
@@ -153,5 +153,16 @@
 		"Haxamanish",
 		"Xsayarsa II"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_infantry_ranged",
+			"Template": "units/pers_infantry_archer_b"
+		},
+		{
+			"Identity": "default_house_10",
+			"Template": "structures/{civ}_house"
+		}
+	],
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/ptol.json b/binaries/data/mods/public/civs/ptol.json
index c5300aa..e03b5ca 100644
--- a/binaries/data/mods/public/civs/ptol.json
+++ b/binaries/data/mods/public/civs/ptol.json
@@ -171,5 +171,20 @@
 		"Arsinoe IV",
 		"Arsinoe II"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_infantry_ranged",
+			"Template": "units/ptol_infantry_archer_b"
+		},
+		{
+			"Identity": "default_cavalry",
+			"Template": "units/ptol_cavalry_archer_b"
+		},
+		{
+			"Identity": "default_house_5",
+			"Template": "structures/{civ}_house"
+		}
+	],
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/rome.json b/binaries/data/mods/public/civs/rome.json
index 62a3f07..7654277 100644
--- a/binaries/data/mods/public/civs/rome.json
+++ b/binaries/data/mods/public/civs/rome.json
@@ -141,5 +141,20 @@
 		"Quintus Caecilius Metellus Pius",
 		"Marcus Licinius Crassus"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_cavalry",
+			"Template": "units/rome_cavalry_spearman_b"
+		},
+		{
+			"Identity": "default_infantry_melee",
+			"Template": "units/rome_infantry_swordsman_b"
+		},
+		{
+			"Identity": "default_house_10",
+			"Template": "structures/{civ}_house"
+		}
+	],
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/sele.json b/binaries/data/mods/public/civs/sele.json
index 7bccc59..babf9b1 100644
--- a/binaries/data/mods/public/civs/sele.json
+++ b/binaries/data/mods/public/civs/sele.json
@@ -179,5 +179,20 @@
 		"Antiochus XIII Asiaticus",
 		"Philip II Philoromaeus"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_infantry_ranged",
+			"Template": "units/sele_infantry_spearman_2_b"
+		},
+		{
+			"Identity": "default_cavalry",
+			"Template": "units/sele_cavalry_javelinist"
+		},
+		{
+			"Identity": "default_house_10",
+			"Template": "structures/{civ}_house"
+		}
+	],
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/spart.json b/binaries/data/mods/public/civs/spart.json
index 509ff53..eaace17 100644
--- a/binaries/data/mods/public/civs/spart.json
+++ b/binaries/data/mods/public/civs/spart.json
@@ -155,5 +155,12 @@
 		"Eucleidas",
 		"Agesipolis"
 	],
+	"Replacements":
+	[
+		{
+			"Identity": "default_house_10",
+			"Template": "structures/{civ}_house"
+		}
+	],
 	"SelectableInGameSetup": true
 }
diff --git a/binaries/data/mods/public/civs/theb.json b/binaries/data/mods/public/civs/theb.json
index 0231148..af30173 100644
--- a/binaries/data/mods/public/civs/theb.json
+++ b/binaries/data/mods/public/civs/theb.json
@@ -147,5 +147,8 @@
 		"Lycus",
 		"Labdacus"
 	],
+	"Replacements":
+	[
+	],
 	"SelectableInGameSetup": false
 }
diff --git a/binaries/data/mods/public/simulation/components/SkirmishReplacer.js b/binaries/data/mods/public/simulation/components/SkirmishReplacer.js
index 2ab5cc0..110d972 100644
--- a/binaries/data/mods/public/simulation/components/SkirmishReplacer.js
+++ b/binaries/data/mods/public/simulation/components/SkirmishReplacer.js
@@ -2,6 +2,11 @@ function SkirmishReplacer() {}
 
 SkirmishReplacer.prototype.Schema = 
 	"<optional>" +
+		"<optional>" +
+			"<attribute name='id'>" +
+				"<text/>" +
+			"</attribute>" +
+		"</optional>" +
 		"<oneOrMore>" +
 			"<element a:help='Replacement template for the civ which this element is named after or general. If no element is defined for a civ the general element is used instead. If this element is empty the entity is just deleted. The general element gets used if no civ specific element is present and replaces {civ} with the civ code.'>" +
 				"<anyName/>" +
@@ -16,6 +21,16 @@ SkirmishReplacer.prototype.Init = function()
 {
 };
 
+//this function gets the replacement entities from the {civ}.json file
+function getReplacementEntities(civ)
+{	
+	var rawCivData = Engine.ReadCivJSONFile(civ+".json");
+	if (!(rawCivData && rawCivData.Replacements))
+		throw("SkirmishReplacer.js: Error reading '"+civ+".json'");
+	
+	return rawCivData.Replacements;
+}
+
 SkirmishReplacer.prototype.OnOwnershipChanged = function(msg)
 {
 	if (msg.to == 0)
@@ -26,12 +41,24 @@ SkirmishReplacer.prototype.ReplaceEntities = function()
 {
 	var cmpPlayer = QueryOwnerInterface(this.entity, IID_Player);
 	var civ = cmpPlayer.GetCiv();
-
+	
+	var replacementEntities = getReplacementEntities(civ);
 	var templateName = "";
-	if (civ in this.template)
-		templateName = this.template[civ];
-	else if ("general" in this.template)
-		templateName = this.template.general;
+	var found = false;
+	if(this.template.id){
+		for(var j = 0; j < replacementEntities.length && !found; ++j){
+			if(this.template.id==replacementEntities[j].Identity){
+				templateName = replacementEntities[j].Template;
+				found = true
+			}
+		}
+	}
+	if(!found){
+		if (civ in this.template) //left in to accomodate for old skirmish template files until transition is complete
+			templateName = this.template[civ];
+		else if ("general" in this.template)
+			templateName = this.template.general;
+	}
 
 	if (!templateName || civ == "gaia")
 	{
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_10.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_10.xml
index 9a7859a..1256a88 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_10.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_10.xml
@@ -5,15 +5,7 @@
     <Tooltip>Changes in a 10-pop house for civilisations with those houses, is deleted for other civs</Tooltip>
   </Identity>
   <ProductionQueue disable=""/>
-  <SkirmishReplacer>
-    <athen>structures/{civ}_house</athen>
-    <cart>structures/{civ}_house</cart>
-    <hele>structures/{civ}_house</hele>
-    <mace>structures/{civ}_house</mace>
-    <pers>structures/{civ}_house</pers>
-    <rome>structures/{civ}_house</rome>
-    <spart>structures/{civ}_house</spart>
-  </SkirmishReplacer>
+  <SkirmishReplacer id="default_house_10" disable=""/>
   <VisualActor>
     <Actor>structures/athenians/house.xml</Actor>
   </VisualActor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_5.xml b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_5.xml
index 0e3ab27..856686d 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_5.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/structures/default_house_5.xml
@@ -9,14 +9,7 @@
     <Height>5.0</Height>
   </Footprint>
   <ProductionQueue disable=""/>
-  <SkirmishReplacer>
-    <brit>structures/{civ}_house</brit>
-    <celt>structures/{civ}_house</celt>
-    <gaul>structures/{civ}_house</gaul>
-    <iber>structures/{civ}_house</iber>
-    <maur>structures/{civ}_house</maur>
-    <ptol>structures/{civ}_house</ptol>
-  </SkirmishReplacer>
+  <SkirmishReplacer id="default_house_5" disable=""/>
   <VisualActor>
     <Actor>structures/ptolemies/house.xml</Actor>
   </VisualActor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/default_cavalry.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/default_cavalry.xml
index 5fb664b..0855e15 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/default_cavalry.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/default_cavalry.xml
@@ -4,13 +4,8 @@
     <Civ>skirm</Civ>
   </Identity>
   <Promotion disable=""/>
-  <SkirmishReplacer>
+  <SkirmishReplacer id="default_cavalry">
     <general>units/{civ}_cavalry_javelinist_b</general>
-    <celt>units/celt_cavalry_swordsman_b</celt>
-    <hele>units/hele_cavalry_swordsman_b</hele>
-    <ptol>units/ptol_cavalry_archer_b</ptol>
-    <rome>units/rome_cavalry_spearman_b</rome>
-    <sele>units/sele_cavalry_javelinist</sele>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>units/athenians/cavalry_javelinist_b.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_melee_b.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_melee_b.xml
index d81c770..0e63f17 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_melee_b.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_melee_b.xml
@@ -4,11 +4,8 @@
     <Civ>skirm</Civ>
   </Identity>
   <Promotion disable=""/>
-  <SkirmishReplacer>
+  <SkirmishReplacer id="default_infantry_melee">
     <general>units/{civ}_infantry_spearman_b</general>
-    <iber>units/iber_infantry_swordsman_b</iber>
-    <rome>units/rome_infantry_swordsman_b</rome>
-    <sele>units/sele_infantry_spearman_2_b</sele>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>units/athenians/infantry_spearman_b.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_ranged_b.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_ranged_b.xml
index 2c9632e..a350770 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_ranged_b.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/default_infantry_ranged_b.xml
@@ -4,15 +4,8 @@
     <Civ>skirm</Civ>
   </Identity>
   <Promotion disable=""/>
-  <SkirmishReplacer>
+  <SkirmishReplacer id="default_infantry_ranged">
     <general>units/{civ}_infantry_javelinist_b</general>
-    <athen>units/athen_infantry_slinger_b</athen>
-    <brit>units/brit_infantry_slinger_b</brit>
-    <cart>units/cart_infantry_archer_b</cart>
-    <maur>units/maur_infantry_archer_b</maur>
-    <pers>units/pers_infantry_archer_b</pers>
-    <ptol>units/ptol_infantry_archer_b</ptol>
-    <sele>units/sele_infantry_spearman_2_b</sele>
   </SkirmishReplacer>
   <VisualActor>
     <Actor>units/athenians/infantry_slinger_b.xml</Actor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/default_support_female_citizen.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/default_support_female_citizen.xml
index 060b0d2..cb01372 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/default_support_female_citizen.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/default_support_female_citizen.xml
@@ -4,6 +4,7 @@
     <Civ>skirm</Civ>
   </Identity>
   <SkirmishReplacer>
+  	<id>default_support_female_citizen</id>
    <general>units/{civ}_support_female_citizen</general>
   </SkirmishReplacer>
   <VisualActor>
diff --git a/binaries/data/mods/public/simulation/templates/skirmish/units/special_starting_unit.xml b/binaries/data/mods/public/simulation/templates/skirmish/units/special_starting_unit.xml
index 0b55e88..f45d192 100644
--- a/binaries/data/mods/public/simulation/templates/skirmish/units/special_starting_unit.xml
+++ b/binaries/data/mods/public/simulation/templates/skirmish/units/special_starting_unit.xml
@@ -11,8 +11,8 @@
     <Unit radius="3.0"/>
   </Obstruction>
   <Promotion disable=""/>
-  <SkirmishReplacer>
-    <brit>units/brit_war_dog_b</brit>
+  <SkirmishReplacer id="special_starting_unit">
+    <brit>units/brit_war_dog_bs</brit>
     <maur>units/maur_support_elephant</maur>
   </SkirmishReplacer>
   <VisualActor>